Skip to main content
Alerting & Response/Alert Channels & Integrations
GETAlertingSince 1.0SynchronousAuth Required

GetAlertSmtpConfig

Retrieve the current global SMTP configuration

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • hostString

    SMTP server hostname

    Example: smtp.example.com

  • portInteger

    SMTP server port

    Example: 587

  • encryptionString

    Encryption mode: none, ssl, or starttls

    Example: starttls

  • usernameString

    SMTP authentication username

    Example: alerts@example.com

  • fromAddrString

    Sender email address

    Example: alerts@example.com

  • fromNameString

    Sender display name

    Example: ZCF Alerts

  • createDateString

    Timestamp when the SMTP config was created

    Example: 2026-01-15T08:00:00Z

  • lastOpDateString

    Timestamp of the last SMTP config update

    Example: 2026-01-15T08:00:00Z

Endpoint

GET/api/v1/alerting/smtp-config

/api/v1/alerting/smtp-config

Operation ID

GetAlertSmtpConfig

Permalink

Request Example

curl -X GET '{host}/api/v1/alerting/smtp-config' -H 'Authorization: Bearer {token}'

Response Example

200
{
  "host": "smtp.example.com",
  "port": 587,
  "encryption": "starttls",
  "username": "alerts@example.com",
  "fromAddr": "alerts@example.com",
  "fromName": "ZCF Alerts",
  "createDate": "example",
  "lastOpDate": "example"
}

Change History

This API has no change history records yet.

View all change history